#include<bits/stdc++.h>
using namespace std;
#define porez first
#define plata second
int main()
{
	int n;
	cin>>n;
	double porez,plata,d=0,max=0.0,x;
	vector<pair<double,double> >a;
	for(int i=0;i<n;i++)
	{
		cin>>plata>>porez;
		a.push_back(make_pair(porez/100,plata));
		d+=plata;
	}
	sort(a.begin(), a.end()); 
	for(int i=0;i<n;i++)
	{
		if(max<d*a[i].porez)
		{
			max=d*a[i].porez;
		}
		d=d-a[i].plata;
	}
	cout<<fixed<<showpoint<<max;
}